Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.hyperlink
Class EditorPaneLinkVisitor

    java.lang.Object
      org.jdesktop.swingx.hyperlink.EditorPaneLinkVisitor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class EditorPaneLinkVisitor

extends java.lang.Object
implements java.awt.event.ActionListener

A ActionListener using a JXEditorPane to "visit" a LinkModel. adds an internal HyperlinkListener to visit links contained in the document.

Author:
  Jeanette Winzenburg

Constructor Summary
`EditorPaneLinkVisitor()`
`EditorPaneLinkVisitor(JXEditorPane pane)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`protected JXEditorPane` | `createDefaultEditorPane()`
`protected javax.swing.event.HyperlinkListener` | `createHyperlinkListener()`
`protected javax.swing.event.HyperlinkListener` | `getHyperlinkListener()`
`protected LinkModel` | `getInternalLink()`
`JXEditorPane` | `getOutputComponent()`
`void` | `visit(LinkModel link)`
`protected void` | `visitInternal(java.net.URL url)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorPaneLinkVisitor

    public EditorPaneLinkVisitor()

### EditorPaneLinkVisitor

    public EditorPaneLinkVisitor(JXEditorPane pane)

Method Detail

### getOutputComponent

    public JXEditorPane getOutputComponent()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### visit

    public void visit(LinkModel link)

### createDefaultEditorPane

    protected JXEditorPane createDefaultEditorPane()

### getHyperlinkListener

    protected javax.swing.event.HyperlinkListener getHyperlinkListener()

### createHyperlinkListener

    protected javax.swing.event.HyperlinkListener createHyperlinkListener()

### getInternalLink

    protected LinkModel getInternalLink()

### visitInternal

    protected void visitInternal(java.net.URL url)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.